/* TCP Error Message Display */

#include <stdio.h>
#include <userint.h>

#define MAX_DEFINED_ERROR 14
static char *errs[] = {
"no error",						/*  0  */
"unable to register",			/* -1  */
"unable to connect",			/* -2  */
"existing server",				/* -3  */
"failed to connect",			/* -4  */
"server not registered",	    /* -5  */
"too many connections",			/* -6  */
"read failed",					/* -7  */
"write failed",					/* -8  */
"invalid parameter",			/* -9  */
"out of memory",				/* -10 */
"time out",						/* -11 */
"no connection",				/* -12 */
"general IO error",				/* -13 */
"connection closed" };			/* -14 */

int TCPerror(char *title, int errNum)
{
	char buffer[256];
	int err;

	err = -errNum;
	if (err>MAX_DEFINED_ERROR)
		sprintf(buffer, "Error = %d, Unknown Error", err);
	else
		sprintf(buffer,"Error = %d, %s", errNum, errs[err]);
	MessagePopup (title, buffer);
	return 0;
}

